
QGIS Application - Bug report #21931

Mesh calculator crashes with face datasets

2019-04-25 06:22 PM - Saber Razmjooei

Status: Closed

Priority: High

Assignee: Peter Petrik

Category: Mesh layers

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 29746

Description

To reproduce the issue:

1- Open QGIS

2- Add a mesh

3- Go to Mesh calculator

4- Try to write an expression...as soon as you add a quantity, it will freeze and eventually will crash QGIS

Both in master and QGIS 3.6.2. Works fine in QGIS 3.4

Associated revisions

Revision db7a050d - 2019-04-26 10:23 AM - Peter Petrik

fix #21931 Mesh calculator crash when used with face dataset

Revision 4aaa5239 - 2019-04-29 01:36 PM - Peter Petrik

fix #21931 Mesh calculator crash when used with face dataset

Revision 4bc8affd - 2019-04-29 03:41 PM - Peter Petrik

fix #21931 Mesh calculator crash when used with face dataset

History

#1 - 2019-04-26 09:54 AM - Peter Petrik

it can be replicated with hecras2d datasets https://github.com/lutraconsulting/MDAL/tree/master/tests/data/hec2d/2areas

#2 - 2019-04-26 10:31 AM - Peter Petrik

- Easy fix? changed from No to Yes

- Resolution set to fixed/implemented

- Regression? changed from Yes to No

- Pull Request or Patch supplied changed from No to Yes

- Subject changed from Mesh calculator is broken to Mesh calculator crashes with face datasets
https://github.com/lutraconsulting/MDAL/tree/master/tests/data/hec2d/2areas


https://github.com/qgis/QGIS/pull/9875

#3 - 2019-04-26 10:32 AM - Peter Petrik

- Status changed from Open to In Progress

#4 - 2019-04-29 01:37 PM - Peter Petrik

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|4aaa523977c9ec74ddb2e92f704eaa30d16d5121.

#5 - 2019-04-29 03:41 PM - Peter Petrik

also backported to 3.6 https://github.com/qgis/QGIS/pull/9897
https://github.com/qgis/QGIS/pull/9875
https://github.com/qgis/QGIS/pull/9897

